# Задаем базовый образ на .net
FROM mcr.microsoft.com/dotnet/sdk:5.0 AS build-env
# Задаем рабочую директорию
WORKDIR /src


# Копируем файлы и папки в каталог в контейнер
COPY . ./
# Создаем образы и устанавливаем данные пакеты в контейнер
RUN dotnet restore
COPY . .
RUN dotnet publish -c Release -o /publish

FROM mcr.microsoft.com/dotnet/aspnet:5.0
WORKDIR /publish
COPY --from=build-env /publish .
# Вызываем приложение во время выполнения контейнера
ENTRYPOINT ["dotnet", "worker-2.dll"]